import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _INCurrencyAmount } from "./INCurrencyAmount.js";
import type { INAmountType } from "./INAmountType.js";
export declare class _INPaymentAmount extends _NSObject {
    static alloc(): _INPaymentAmount;
    static new(): _INPaymentAmount;
    init(): _INPaymentAmount;
    initWithAmountType$amount$(amountType: INAmountType, amount: _INCurrencyAmount): _INPaymentAmount;
    amount(): _INCurrencyAmount | null;
    amountType(): INAmountType;
}
export interface _INPaymentAmount extends _NSCopying, _NSSecureCoding {
}
